> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cryptoprocessing.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported currencies

> Returns a list of available currencies, minimum deposit amounts, and deposit and withdrawal fees.

<Warning>
  The list of supported currencies in the sandbox environment is different from the list in the production environment.
</Warning>


## OpenAPI

````yaml POST /currencies/list
openapi: 3.0.0
info:
  title: Merchant Backend V2
  version: '1.0'
  description: Documentation for merchant backend processing endpoints
servers:
  - url: https://app.cryptoprocessing.com/api/v2
security:
  - xProcessingKey: []
tags:
  - name: Status
  - name: Balance
  - name: Currencies
  - name: Deposit addresses
  - name: Withdrawal
  - name: Exchange
  - name: Invoices
  - name: Transactions
paths:
  /currencies/list:
    post:
      tags:
        - Currencies
      summary: Get a list of currencies
      description: >-
        Returns a list of available currencies, minimum deposit amounts, and
        deposit and withdrawal fees.
      operationId: post-currencies-list
      parameters:
        - $ref: '#/components/parameters/XProcessingSignatureHeader'
      requestBody:
        required: true
        description: >
          The `Content-Type: application/json` header must be specified even
          though the

          request body has no fields.
        content:
          application/json:
            schema:
              type: object
              description: >
                This endpoint does not accept any request parameters, but you
                must still send

                an empty JSON object (`{}`) in the request body.
              additionalProperties: false
            examples:
              Basic example:
                value: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: Currency ID.
                        type:
                          type: string
                          description: Currency type (crypto or fiat).
                          enum:
                            - crypto
                            - fiat
                        currency:
                          type: string
                          description: Currency code.
                        minimum_amount:
                          type: string
                          description: The minimum deposit amount for this currency.
                        deposit_fee_percent:
                          type: string
                          description: >-
                            The fee that is charged for deposits in this
                            currency, in percentage of the deposit amount.
                        withdrawal_fee_percent:
                          type: string
                          description: >-
                            The fee that is charged for withdrawals in this
                            currency, in percentage of the withdrawal amount.
                        precision:
                          type: integer
                          description: The number of decimal places.
              examples:
                Basic example:
                  value:
                    data:
                      - id: 1
                        type: crypto
                        currency: BTC
                        minimum_amount: '0.00020000'
                        deposit_fee_percent: '0.000700'
                        withdrawal_fee_percent: '0.010000'
                        precision: 8
                      - id: 5
                        type: crypto
                        currency: ETH
                        minimum_amount: '0.00500000'
                        deposit_fee_percent: '0.010000'
                        withdrawal_fee_percent: '0.000000'
                        precision: 8
                      - id: 87
                        type: crypto
                        currency: USDC
                        minimum_amount: '5.00000000'
                        deposit_fee_percent: '0.010000'
                        withdrawal_fee_percent: '0.000000'
                        precision: 8
        '400':
          $ref: '#/components/responses/MalformedJson'
        '403':
          $ref: '#/components/responses/HeaderAuthorization'
components:
  parameters:
    XProcessingSignatureHeader:
      name: X-Processing-Signature
      in: header
      required: true
      description: >-
        Hex-encoded HMAC-SHA512 signature of the request body, [generated using
        your secret key](/api-reference/authentication).
      schema:
        type: string
  responses:
    MalformedJson:
      description: |
        Bad Request

        The request body is not valid JSON, or the Content-Type
        header is not set to `application/json`.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                description: Human-readable error message.
              code:
                type: string
                description: Error code.
          examples:
            Malformed JSON:
              summary: Invalid JSON body
              value:
                error: Bad content format
                code: bad_content_format
    HeaderAuthorization:
      description: |
        Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                description: Human-readable error message.
              code:
                type: string
                description: Error code.
            description: >-
              Invalid or missing headers. Refer to
              [Errors](/api-reference/errors#403) for troubleshooting steps.
          examples:
            Bad signature header:
              value:
                error: Bad signature header
                code: bad_header_signature
            No signature header:
              value:
                error: No signature header
                code: required_header_signature
            Bad key header:
              value:
                error: Bad key header
                code: bad_header_key
            No key header:
              value:
                error: No key header
                code: required_header_key
  securitySchemes:
    xProcessingKey:
      type: apiKey
      description: Your [API key](/integration-guide/get-your-api-key).
      in: header
      name: X-Processing-Key

````